Skip to main content
GET
Polymarket Trades

Query Parameters

condition_id
string

Market condition identifier

Example:

"0x1234567890abcdef"

address
string

Wallet address — returns trades where the address is maker or taker

Example:

"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"

outcome_label
enum<string>

Filter by outcome label: Yes or No

Available options:
Yes,
No
Example:

"Yes"

min_amount
number<double>

Minimum trade amount in USD

Required range: x >= 0
Example:

10000

from
string

Start of time range. Accepts Unix seconds (1704067200) or date string (2024-01-01)

Example:

"2024-01-01"

to
string

End of time range. Accepts Unix seconds (1706745600) or date string (2024-02-01)

Example:

"2024-02-01"

sort_by
enum<string>
default:timestamp

Field to sort results by

Available options:
timestamp,
notional_volume_usd
Example:

"timestamp"

limit
integer<int64>
default:50

Results per page

Required range: 1 <= x <= 500
Example:

50

offset
integer<int64>
default:0

Pagination offset

Required range: x >= 0
Example:

0

Response

OK

data
object[] | null
required
meta
object
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/DataResponsePolymarketTrade.json"